---
title: '隐私声明'
created: 2022-12-27
updated: 2023-08-22
image: /about/privacy/visibility_off.webp
flags:
  - unlisted
toc: false
---

**本站源代码存放在** [**GitHub**](https://github.com/interstellar750/hexo_s/) **仓库，博客托管在** [**Vercel**](https://vercel.com/) **平台，域名 DNS 解析由** [**Cloudflare**](https://www.cloudflare.com/) **提供，我可得知的数据如下：**

## GitHub 仓库

- stars / watching / fork 的用户列表

- Discussions 的讨论内容（包括 Giscus）

- Pull Request 请求信息

## Vercel 平台

我在 Vercel 平台为本站开启了 [Web Analytics](https://vercel.com/docs/analytics)，这是一项统计功能，最长可以查看 30 天的数据，因此我可以通过 **Web Analytics** 得知：

- **访客数据**
  - 来自哪个国家
  - 使用的操作系统
  - 使用的浏览器

- **浏览数据**
  - 总浏览量（精确到小时）
  - 网页浏览次数（精确到页面）
  - 访问本站数量（精确到人数）
  - 浏览页面数量（精确到次数）
  - 引导到本站的站点（精确到域名/网页）

## Cloudflare 平台

Cloudflare 为域名托管者提供了免费的流量分析，最长可以记录 30 天的数据，借此，我可以得知的数据如下：

- **Web 流量**
  - 请求（精确到次数）
    - 请求总数
    - 已缓存的请求
    - 未缓存的请求
  - 带宽（精确到 KB）
    - 总带宽
    - 已缓存的带宽
    - 未缓存的带宽
  - 独立访问者（精确到人数）
    - 独立访问者总计 
    - 独立访问者上限（最长一天，最短一小时）
    - 独立访问者下限（最长一天，最短一小时）
- **Web 流量请求**
  - 访客流量靠前的国家或地区
  - 统计信息
    - 已节省的字节数（精确到 KB）
    - 已提供的 SSL 请求数（精确到次数）
    - 已阻止的攻击数（精确到次数）

### 数据关联

Vercel 的 Web Analytics 功能现可对访客数据和浏览数据进行过滤查看，目前可以**同时启用以下所有过滤方式**：

- 时间（必选项）
  - 24 小时（精确到每小时）
  - 7 天
  - 30 天
- 在时间范围内：
  - 页面
    - 被访问过的页面
  - 引导到本站的站点
    - 引导访问到本站的域名/网页
  - 来自哪个国家
    - 从哪个国家访问了本站
  - 操作系统
    - 访问页面使用的操作系统
  - 浏览器
    - 使用哪些浏览器访问本站

根据以上，这些数据可以相互关联，代表您的某次访问可能会被我得知，且同时可以得知您的 **访问时间、浏览的页面、引导到本站的页面、IP 所在地、操作系统和浏览器类型**

我无法任意查看单独的浏览记录，只有当一些记录类型少到只有一条时，才能看到单独的一次浏览数据，若有很多人从同一个 IP 与引导页面链接，使用了相同的设备与浏览器在同一个时间段访问同一个页面，我就只能查看到很多数据相同的浏览信息

<details>
  <summary>之前的数据关联</summary>

~~以上获得的所有信息，均为模糊统计，您的浏览数据仅会成为列表中的一条记录，不会出现类似：~~

> ~~一位来自北极的用户使用运行着 Linux 系统的笔记本，上面安装了 Chromium 浏览器，在 2022 年 12 月 27 日 5 时访问了您站点的 /about/privacy 页面，客户端未缓存请求并使用了 3 MB 数据~~

~~的情况，它们并不相互连接，我也无法单独查看任意一条访问记录~~

</details>

**除以上列出的信息外，我获取不到也不会去获取您的其他信息，对于 Vercel 的 Web Analytics 功能，若您不想被统计到其中，您可以使用** [**Ublock Origin**](https://ublockorigin.com/) **或类似拥有脚本屏蔽功能的软件对** `https://trle5.xyz/_vercel/insights/script.js` **脚本进行屏蔽，而对于 Cloudflare 的流量分析，我暂未找到关闭的方法**

## 关于统计数据

**您在本站的浏览统计数据可能会被公开展示，所有可展示的数据已列举于上方，公开展示的形式类似：**

- 与他人展示：
  > 你看看我这篇文章竟然有这么多人看：(附上页面浏览数据)
- 演示流量消耗：
  > 压缩了图片大小后，我博客每个月只需要不到 1GB 流量：(附上流量消耗统计)
- 新的引导站点
  > 竟然有人从 example.com 这个网站跳转到了我的博客：(附上引导站点域名和引导次数)
- 浏览器类型
  > 访问我博客用的浏览器七八成都是 Chrome：(附上浏览器类型统计)
