---
title: '2022 年度总结'
created: 2022-12-28
updated: 2023-01-05
image: /talk/page112/2023.webp
tags:
   - 年度总结
   - 闲聊
summary: '又是一年，今年做了什么呢'
---

<script>
  import GitHub from '$lib/components/extra/github.svelte'
  import Spotify from '$lib/components/extra/spotify.svelte'

</script>

嗯... 又一年...

本文的内容感觉似乎很多一部分在顶栏的闲聊分类似乎都写过，这里尽量不重复写一遍

## 博客

**既然是在博客里写的年度总结，那第一节应该先讲博客吧**

<big><b>文章</b></big>

从 [**建站历程**](/about/history/) 也可以得知，这个博客从 2022 年的一月底就建立起来了，不过当初可以说是什么内容都没有，再到第一篇文章 [**搭建一个自己的博客**](/post/搭建一个自己的博客/) 间隔了一个多月才写完，现在看它的文章目录，是有点不美观了，至于重写嘛，还没有打算...

仔细看，写的比较全面和文章也就两篇，都是跟博客相关的，其余的我自己也感觉有点水文章的意思，也许以后会找个方法把质量次一些的文章换个页面收集起来，甚至还有 [**没写完的文章**](/post/phone2adb/) 还一直摆在那

<big><b>架构</b></big>

博客架构从 [**Hexo**](https://github.com/hexojs/hexo) 换到 [**Urara**](https://github.com/importantimport/urara) 的内容在 [**建站历程**](/about/history/) 也有说，现在回想，换到 Urara 本质上还是因为懒<sup>虽说配置也有些麻烦</sup>，它集成了许多功能，例如评论和当时我琢磨很久的 RSS 订阅问题，这种插件要我去自己找可能更费劲

Urara 吸引我的其实还有设计，切换页面有动画、组件颜色跟随主题颜色等这些功能我很喜欢，以及简洁的设计||和有点劝退的配置环节||，在下面放个项目卡片，这个是 Urara 的插件

<GitHub user="importantimport" repo="urara" />

## 开源社区

**开源社区，即开放源代码社区，是一个可以学习与交流的地方，还可以互帮互助解决问题，给我的感觉是：<big>好玩！</big>**

在这里放张来自 [**wrapped.run**](https://wrapped.run) 的 GitHub 统计图

![来自 wrapped.run 的统计图，列出了我提交量前三的仓库、语言统计、收藏与被收藏数量，关注与被关注数量，以及最近关注的三个用户和最近关注我的三个用户](/talk/page112/wrapped_Interstellar750.webp)

<big><b>菜鸟</b></big>

回忆一下，最早接触到开源这个词汇，似乎是 GitHub 的 [**Arctic Code Vault**](https://archiveprogram.github.com/arctic-vault/) 计划，其实是不是最早的我也忘了，应该是我印象中最早的了，看了一些关于北极代码库文章与视频，再了解了什么是开源后，兴致冲冲的去注册了个 GitHub，然后发现帐号已存在...

嗯...我也不知道我是怎么早在 18 年就注册了 GitHub 的，或许是找软件的时候找到，顺便注册了个帐号了吧

<big><b>初步接触</b></big>

或者说是第一次建仓库与提交吧，这个记录是在 2021 年 12 月了，当时好像是在折腾 [**Sailfish OS**](https://sailfishos.org)，还没购买 [**Sailfish X / Aliendalvik**](https://shop.jolla.com)，能想到传输文件的方法只有克隆仓库

||截至到本文发布，我已经帮别人代购过两次 Sailfish OS X 了||

直到一月左右听说有不用服务器就可以搭建的博客，就开始试着折腾 Hexo，也是胡乱之中给自己发了个 PR，后面也只是在用来放东西的仓库上传些东西...

<big><b>学习</b></big>

四月多开始，我就开始常常提交代码了，大部分都是提交到私有库，其实也不是在偷偷写什么项目，就是把写的练习题答案往仓库上丢，让贡献图好看点 🥲

每个编程初学者都离不开的话题：**入门学哪门语言好?**

不用想，这里没答案，网上大概也不会有标准答案，还得看自己想干什么，我最后选择了 C 语言，就一直学到现在，不能说那种一天学到晚，平均一天学个三四十分钟吧，学习环境不好，我抗干扰能力不太行

**C 语言有什么弊端？** 目前对我来说大概就是没学完的话是写不出什么能拿上台面的软件的，可能连替换一个文本中一个数值都做不到，不像 Python 有很多库直接拿来调用，虽说效率低了点但确实挺方便的

虽然是这样说，其实回头看一下发现自己好像也有两周没碰了，最近全在折腾博客

<big><b>做贡献</b></big>

说实话开出这个条目我也是有点心虚，帮点小忙

编程能力可以说还几乎没有的我，能帮上的忙只有找 bug 和写文档了

今年最早一次 PR 是在七月给 [**FydeOS/fydeos.github.io**](https://github.com/FydeOS/fydeos.github.io) 的 [**更正了过时的链接 #16**](https://github.com/FydeOS/fydeos.github.io/pull/16)，由于这个仓库年旧失修(指被归档)，似乎没有什么人注意到，直到十月底我在官方群里再次提了一句才被 [**Archie**](https://github.com/Lorde627) 注意到然后进行合并

还有给 [**Urara**](https://github.com/importantimport/urara) 提的 [**Issues**](https://github.com/importantimport/urara/issues/39) 和最近在维护的 [**Urara-docs**](https://github.com/importantimport/urara-docs)，今年的贡献也就只有这些了

<big><b>交朋友</b></big>

虽然自己是个社恐，不过能交到新朋友还是挺开心的，在请教他人和被他人帮助的时候会很感激，能帮助到他人的时候也会感觉很开心

本来想在这里介绍一下新认识的朋友，想了想没经过同意，就不放出来了

<big><b>在这里感谢每位帮助过我的人，谢谢您的帮助！</b></big>

## 游戏

### 桌面端

今年的游戏时间似乎是骤减，相比之前少了很多（感觉上），放一个[**我的 2022 年 Steam 回顾：**](https://s.team/y22/ffrtvndf?l=schinese)

![我的 2022 年 Steam 回顾，打开过 330 次游戏，新玩了 1 个游戏，总共玩过 10 个游戏，完成了 12 个成就](/talk/page112/steam.webp)

大部分时间还是在打 CS:GO，其次是我的世界，再其次...没了

在二月时算个半首发，入了 [**彩虹六号:异种**](https://store.ubi.com/cn/game?pid=5cf15f1b39798c0870c076e6)，虽说是围攻爆发模式的延续（那时候还不知道彩六），但玩了一阵子感觉还是挺满意的，至于网上的评价嘛，我玩游戏是倾向于防守/潜入，对于喜欢对枪的玩家来说，可能就不那么满意了

其余也是在之前的文章讲过的在我的世界服务器里玩生存，不过暑假过后服务器就真的是除了人什么都有了 😇

### 手游端

多数还是玩桌面端游戏，手机上的消遣大多还是看博客和消息

<big><b>Apex Mobile</b></big>

Apex 的手游版，感觉还原的也是可以，没怎么玩过，是大逃杀类型的游戏，腾讯味有些重

美服和港服都玩过些，都是人机||有玩家的话被锤的就是我了 🥲||

目前已经正式版了，就是英雄数量相比桌面端少，应该会慢慢同步，感兴趣的可以去下个玩玩，国内目前还没有服务器

<big><b>彩虹六号手游</b></big>

育碧做了个彩虹六号:围攻的手游版本，忘记是什么时候的消息了，有在 Play 商店出测试版，很巧的被发了个测试权限，于是就下载玩了玩

建模感觉在手游里算中高级别，至于预告片里的光影看看就行，测试服里感觉实际的测试玩家很少，地图的话也就领事馆、边境、银行和俱乐部这几个，玩法还原的很好，不过目前来看，估计不久就是跟其他手游差不多，人物的装备变成锦上添花，主要看的是对枪厉不厉害...

操作效果嘛，彩六也是算有点硬核了，全部按键堆起来大概能有个五分之二屏幕（21:9），我玩的时候误触是有点严重，但大部分时候还真是会对枪就行，装备无所谓

<big><b>我的世界</b></big>

很少玩，虽说常玩的服务器开通了 Java 与 Bedrock 互通，不过开了正版验证，每次登录甚至掉线都需要重新登录，很麻烦

虽然也有在本地存档上玩，不过一般不是真的无聊到没事干还是不会去碰的，用手机玩游戏真的好折磨人...

这里有个开启新版操控的资源包，有类似手柄的摇杆，下载文件然后使用我的世界打开并在资源包中启用，然后到触控设置选项里应该就能看见相应的设置：[new touch control_lite.mcpack](https://t5d.trle5.xyz/Minecraft/new%20touch%20control_lite.mcpack)

<big><b>分形空间</b></big>

最近 Play Store 限免的游戏，通过 [**Google Play 限免信息**](https://t.me/playsales) 频道得知，截至文章发送前仍可领取，Telegram 真是个获取信息的好地方

游戏玩法类似传送门那种解密，喷气背包和能远程操控开关的点击枪很有意思，还有一个优点是画质和分辨率能开的很高，第一次拿 Xperia 的 4K 屏幕玩游戏，体验很不错，不过小工作室，关卡只有两关

||成就给的经验很多，可以提升 Play 游戏等级||

## 观影

想起来是得记录一下看过哪些电影和番剧，平时很少看，但一年积累下来也不算少了

<big><b>已看完</b></big> 电影居多

[**The Matrix**](https://zh.wikipedia.org/wiki/%E9%BB%91%E5%AE%A2%E5%B8%9D%E5%9B%BD%E7%B3%BB%E5%88%97) <small>黑客帝国</small> 1999~2021 <br> 老牌科幻电影

[**Hardcore Henry**](https://zh.wikipedia.org/zh-cn/%E7%A1%AC%E6%A0%B8%E5%A4%A7%E6%88%98) <small>硬核亨利</small> 2015 <br> 第一人称电影，含有血腥暴力裸露元素

[**7 Days**](https://en.wikipedia.org/wiki/7_Days_(2010_film)) <small>七日复仇</small> 2010 <br> 不推荐看，理由是过于暴力，剧情还行 <big><b>真的不要好奇去看！</b></big>

[**Wrath of Man**](https://zh.wikipedia.org/zh-cn/%E7%8E%A9%E5%91%BD%E9%88%94%E5%8A%AB) <small>人之怒</small> 2021 <br> 犯罪惊悚片，未删减版可能略为血腥

[**NO GAME NO LIFE ZERO**](https://zh.m.wikipedia.org/zh/%E9%81%8A%E6%88%B2%E4%BA%BA%E7%94%9FZERO) <small>游戏人生零</small> 2017 <br> 从时间线来看是 [**游戏人生**](https://zh.m.wikipedia.org/zh/NO_GAME_NO_LIFE_%E9%81%8A%E6%88%B2%E4%BA%BA%E7%94%9F) 的前传，剧情忘的差不多了...

<big><b>未看完</b></big> 很多很多

看一半没有接着看完已经快习惯了...

[**ぼっち・ざ・ろっく！**](https://zh.m.wikipedia.org/zh/%E5%AD%A4%E7%8D%A8%E6%90%96%E6%BB%BE%EF%BC%81) <small>孤独摇滚！</small> 已看 5 集 <br> 女高中生组团玩乐队，大概印象最深的就是小波奇了，但我社恐还没那么严重 

[**SPY×FAMILY**](https://zh.m.wikipedia.org/zh-cn/SPY%C3%97FAMILY%E9%96%93%E8%AB%9C%E5%AE%B6%E5%AE%B6%E9%85%92) <small>间谍过家家</small> 已看 10 集 <br> 侦探家庭喜剧，间谍读心者与杀手，剧情很有趣

[**地縛少年花子くん**](https://zh.m.wikipedia.org/zh/%E5%9C%B0%E7%B8%9B%E5%B0%91%E5%B9%B4%E8%8A%B1%E5%AD%90%E5%90%9B) <small>地缚少年花子君</small> 已看 6 集 <br> 奇幻类番剧，讲了很多怪异的故事，画风和剧情都很喜欢

[**NO GAME NO LIFE**](https://zh.m.wikipedia.org/zh/NO_GAME_NO_LIFE_%E9%81%8A%E6%88%B2%E4%BA%BA%E7%94%9F) <small>游戏人生</small> 已看 4 集 <br> 算个穿越番，但这个世界有些不同

[**パリピ孔明**](https://zh.wikipedia.org/wiki/%E6%B4%BE%E5%B0%8D%E5%92%96%E5%AD%94%E6%98%8E) <small>派对咖孔明</small> 已看 1 集 <br> 也是玩音乐的番，不过诸葛亮穿越过去了

[**先輩がうざい後輩の話**](https://zh.wikipedia.org/zh-cn/%E5%89%8D%E8%BC%A9%E6%9C%89%E5%A4%A0%E7%85%A9) <small>关于前辈很烦人的事</small> 已看 1 集 <br> 恋爱喜剧，不过更像是社畜番

也许还有，但印象少到可能都想不起来了...

## 看书

书没读多少，都是零零散散的看

[**C Primer Plus（第6版）中文版**](https://isbnsearch.org/isbn/9787115390592) 已看 40 % <br> 四月的时候找来入门 C 语言，讲的很通俗易懂，就是有时候翻译的编程题看不懂是什么要求...

[**Unix & Linux 大学教程**](https://isbnsearch.org/isbn/9787302209560) 已看 41 % <br> 这本书要比 C Primer Plus 看的早一些，但不常看，所以现在 Linux 的技术水平只能说还行

[**学校让人沾染上的 100+ 恶习**](https://zhuanlan.zhihu.com/p/559705516) 已看完 <br> 或许不属于出版物的书籍，内容也仅仅只有五十多页，不过我认为很值得一看，你在学校教育中是否丧失了什么？

## 音乐

主要在 Spotify 听音乐，虽说网易云也在用，不过我用国内软件都不会去更新，算了

[**Hubert Chen 的 2022 年听歌排行**](https://open.spotify.com/playlist/37i9dQZF1F0sijgNaJdgit) <br>
Spotify 的听歌排行，有 101 首，最近发现好像有些歌莫名奇妙被移出收藏歌曲了，奇怪

不知道我喜欢的音乐人 [**Daxten**](https://open.spotify.com/artist/1uwGIdDsv9rhyzuqgYhOuS) 怎么不出新歌了，最后的音乐更新停在 2021 年...

||Spotify 竟然也可以像网易云一样在网页嵌入专辑了，试一试，现在换成根据组件改的 Urara 插件了，体验应该没差别||

<Spotify type="album" id="730DV2yB8G1svAKIvD4pdh" compact={true} />

很喜欢的一部纯音乐专辑，很轻快的感觉

<Spotify type="album" id="0vXB2JFdOphGK7ybYLXSRI" compact={true} />

**Daxten** 的第二部专辑，目前也就只有两部专辑，这个专辑是有 Epidemic Sound 唱片公司的其他歌手合作制作的

[**Epidemic Sound**](https://www.epidemicsound.com) 唱片公司有很多其他歌手我也很喜欢，例如 [**Tape Machines**](https://open.spotify.com/artist/6geC8EbDc3ifaSAbx3RESQ) 和 [**Craig Reever**](https://open.spotify.com/artist/3OEFtQRq38Ysp1BZdmbK7h)，不知道是音乐风格相同还是 Spotify 推荐算法里有这样一套，我听的推荐音乐内同一个唱片公司的艺人是真不少

## 外出游玩

||虽然是宅，其实有时也会出去的，但也只有逛逛公园了||

图片经过我认为不怎么会损害画质的压缩，已经尽力了，本来想试试 `.avif` 格式来看看压缩效果会不会好些，但软编码 avif 性能非常差劲，往后推了吧

逛过几次公园，虽然拍了很多，但放几张拍的好看的就行了

![在步行梯扶手处对着天空斜上方拍了一张图片，可以看到步行梯的扶手和台阶地板是木头做的，栏杆则是刷了白漆的铁栏杆](/talk/page112/DSC_0369.webp)

在一个很多步行梯的地方往上拍，不太懂这个建筑应该叫什么

![一个很有意思的屋子，在一家商铺上方凸出了一个被像是绿色藤蔓覆盖了的阳台？似乎不那么透光，顶上也有封起来，还有一张深绿色的厚塑胶片盖住了顶部防水](/talk/page112/DSC_0539.webp)

去往另一个公园的路上遇到的有趣建筑，表面被像是藤蔓的植物还是人造的东西覆盖了，不知道支撑材质是什么，感觉是钢架子做的

![一辆作为公园景点的坦克，不知道已经在这里放了多久，早已锈迹斑斑](/talk/page112/DSC_0556.webp)

作为公园内景点的坦克，记得某位朋友喜欢坦克，就拍了下来，估计在这里放了很长时间

## 疫情

本来是不怎么关心的，但今年 12 月底那个操作，是突然让我有点反应不过来

<big><b>疫情开始</b></big>

翻翻 Google 相册回想一下 2019 年底吧，我的记性都快分不清哪些事是在什么时候发生的了，19 年底的时候武汉刚说检测到病毒，当时网上说是类似 SARS 的冠状病毒，我还并没感到什么，可能是从未经历过这种大感染

疫情对我的影响，最早是进出学校佩戴口罩，但当时还没有组织核酸检测，有症状的自己看着办就行

不过上面说的是 2019 年寒假后，这段寒假期间挺折磨我的，寒假加长到四月，春季学期的课程被压到要在两个月内上完，寒假被管控在家时，还有各种压力，感到交流无效的可悲，就一年没怎么说话，头发也留到了能盖过侧脸

<big><b>它改变了我？</b></big>

不如说是家里的管教方式改变了我，我在那段开始考虑人生的意义，有时同学们去上体育课，我一人留在教室，思考为什么如此堕落？

是有点不良少年的意思，但现在来看，当时做的还行，在那段一年的沉默期后，父母不会想着如何让我少碰电子设备、只一心栽进枯乏的学校教育里了

同样改变的还有我们家族，从我记事起，每到新年，我们家族的人都会聚在一起，进行走访祭祖后，晚上聚在一起吃年夜饭，小孩子们会聚到一起玩烟花，我也能混进去

但都是过往了，2020 年后，家族的每户人都只会在自家吃年夜饭了，就算在年底放开了管控，还能把家族的人聚到一起吗...

<big><b>今年</b></big> 今年如何？一如既往或更烂

今年具体的活动我都有在之前文章写过，或许没有说到疫情

以往我家居住区附近是没有什么核酸集体检测点的，想测核酸只能驱车前往六七公里外的医院，但后面把原有的篮球场当成了检测点，居住在附近的居民都要去做

暑假两个月，我一直在家，不说从未，但也是极少出门了，父母硬要拉我去做核酸，似乎病毒会渗透进我房间，||有点像网上说的瘫痪老爷爷被好心人抬去做核酸，经过好心人的不懈努力，终于检测出阳性了||

结果嘛，暑假我这边被封了一个月，后半个暑假都在玩游戏，具体请看 [**2022 下半年的总结**](/talk/page111/#暑假生活)

<big><b>放开管理后</b></big>

从感冒开始请假回家一周，回到学校没几天突然就说放开了，有种出来早了的感觉，但也不是很难受，因为没过多久，就给我们放回去了

从网络上也能知道个一二，疫情在国内基本也炸开了，截至本文发布，我家里已经有两例阳性了，可能我在不久也会成为其中一个吧，也可能我才是那个无症状感染源 😰

对于突然放开的看法吗，感觉是挺正常的，也是迟早的事。过去三年了，差不多是能被影响的东西都被影响了，突然放开也不说得上是紧急避险，经济倒退各种问题是在所难免了。好处我是想不到什么好处，让统计数据数据好看些了？

放开管理后我应该也并不会有什么太大的变化，可能会少些出门在外的限制吧，别说口罩，我清楚记得之前出门可是连手机都可以不用带上

## 新的一年

希望生活不会越来越烂吧，同时也应该给自己立些目标

计划在大多数时候是赶不上变化的，我说话时很多时候会带上 **大概 好像 可能** 类似的不确定词，凡事没绝对嘛，所以我立目标也不敢立的太多...

1. 学完 C 语言 (应该能学完吧)
2. 保持对画画的兴趣
3. 考虑下一门语言？目前想法是 [**Go**](https://go.dev) 或 [**Swift**](https://developer.apple.com/swift)
4. 可能会考虑试试前端，从最近折腾博客来看是挺好玩的
5. 试着写点什么东西？学完 C 之前大致写不出来
6. 多参与开源社区的贡献

<big><b>新年许个愿？</b></big>

新年是应该有个愿望，但想了很久，发现最后心中的声音还是那句听过了很多次的话：

**希望每个人都能平平安安的**

-----

<big><b>那么，这就是年度总结的全部了，希望我今年会比以往努力一些吧，一点点也好 🫠</b></big>